.renderbox{
	&:empty{
		@include flexbox(column, nowrap, center, center);
	}
	&[data-renderbox-top]{
		&[data-renderbox-spinner]{
			&:before {
				content: '';
				display: block;
				width: 55px;
				height: 55px;
				margin: 30px auto;
				font-size: 10px;
				border-top: 4px solid transparent;
				border-right: 4px solid transparent;
				border-bottom: 4px solid transparent;
				border-left: 4px solid $narrojo;
				margin: 0 auto 30px;
				@include box-sizing(border-box);
				@include border-radius(50%);
				@include transform(translateZ(0));
				@include animation(spin 1.1s infinite linear);
			}
		}
		&:not([data-renderbox-spinner]){
			&[data-renderbox-message]{
				&:before{
					content: attr(data-renderbox-message);
				}
			}
			&:before{
				content: 'Cargando...';
				display: block;
				width: 100%;
				height: auto;
				text-align:center;
				line-height: 18px;
				font-weight: 400;
				color: $primary;
				margin: 0 auto 30px;
				@include font-size(2);
			}
		}
	}
	&:not([data-renderbox-top]){
		&[data-renderbox-spinner]{
			&:after {
				content: '';
				display: block;
				width: 55px;
				height: 55px;
				font-size: 10px;
				border-top: 4px solid transparent;
				border-right: 4px solid transparent;
				border-bottom: 4px solid transparent;
				border-left: 4px solid $narrojo;
				margin: 30px auto;
				@include box-sizing(border-box);
				@include border-radius(50%);
				@include transform(translateZ(0));
				@include animation(spin 1.1s infinite linear);
			}
		}
		&:not([data-renderbox-spinner]){
			&[data-renderbox-message]{
				&:after{
					content: attr(data-renderbox-message);
				}
			}
			&:after{
				content: 'Cargando...';
				display: block;
				width: 100%;
				height: auto;
				text-align:center;
				line-height: 18px;
				font-weight: 400;
				color: $primary;
				margin: 30px auto;
				@include font-size(2);
			}
		}
	}
}